@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}
html{
    scroll-behavior:smooth;
}
body{
  margin: 0;
    background-image: url("image/background.jpg");
    background-size: cover;
    background-position: center; 
    background-repeat: no-repeat; 
    background-attachment: fixed; 
    min-height: 100vh;
    color: #ffffff;
}
.back-home{
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 99999;

    background: linear-gradient(45deg, var(--primary), var(--secondary));
    color: #fff;
    padding: 12px 22px;
    border-radius: 50px;

    text-decoration: none;
    font-weight: 600;
    font-size: 15px;

    box-shadow: var(--shadow);
    transition: all .3s ease;
}

.back-home:hover{
    transform: translateY(-4px);
    box-shadow: 0 8px 20px rgba(0,0,0,.4);
}

.back-home:active{
    transform: scale(.96);
}
a{
    text-decoration:none;
    color:white;
}
img{
    max-width:100%;
    display:block;
}
:root{
    --primary:#17c2ec;
    --secondary:#3399a0;
    --glass:rgba(255,255,255,.08);
    --border:rgba(255,255,255,.15);
    --shadow:0 8px 32px rgba(0,0,0,.3);
    --cyan:#17c2ec;
}

header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    padding:
    25px 10%;
    display:flex;
    justify-content:space-between;
    align-items:center;
    backdrop-filter:
    blur(20px);
}
.logo{
    font-size:32px;
    font-weight:800;
    letter-spacing:2px;
}
.logo span{
    color:var(--primary);
}
nav{
    display:flex;
    gap:35px;
}
nav a{
    position:relative;
    font-weight:500;
    transition:.3s;
}
nav a::after{
    content:"";
    position:absolute;
    width:0;
    height:3px;
    bottom:-8px;
    left:0;
    background:
    linear-gradient(
    90deg,
    var(--primary),
    var(--secondary)
    );
    transition:.3s;
}
nav a:hover::after{
    width:100%;
}
nav a:hover{
    color: #ffffff;
}
.menu-btn{
    display:none;
    font-size:25px;
}

.hero{
    min-height:100vh;
    padding:
    150px 10% 80px;
    display:flex;
    justify-content:space-between;
    align-items:center;
}
.hero-text{
    max-width:500px;
}
.hero-text h1{
    font-size:75px;
    line-height:1.1;
    margin:15px 0;
    font-weight:800;
    color: #ffffff;
}
.hero-text h2{
    font-size:38px;
    color:#ffffff;
}
.hero-text p{
text-align: justify;
    margin-top:25px;
    line-height:1.8;
    color:#ffffff;
    font-size:18px;
}
/* BUTTONS */
.btn-group{
    margin-top:40px;
    display:flex;
    gap:20px;
}
.btn{
    padding:
    15px 35px;
    border-radius:50px;
    font-weight:600;
    transition:.4s;
}
.btn-primary{
    background:
    linear-gradient(
    45deg,
    var(--primary),
    var(--secondary)
    );
    box-shadow:
    0 0 30px
    rgba(59,130,246,.5);
}
.btn-primary:hover{
    transform:
    translateY(-8px);
}
.btn-outline{
    border:
    2px solid var(--primary);
}
.btn-outline:hover{
    background:var(--primary);
}
.hero-image{
    width:430px;
    height:430px;
    border-radius:50%;
    overflow:hidden;          
    display:flex;
    justify-content:center;
    align-items:center;
}
.section-title{
    text-align:center;
    margin-bottom:70px;
}
.section-title h2{
    font-size:45px;
    font-weight:800;
    position:relative;
    display:inline-block;
}
.section-title h2::after{
    content:"";
    position:absolute;
    width:70%;
    height:4px;
    background:
    linear-gradient(
    90deg,
    var(--primary),
    var(--secondary)
    );
    bottom:-15px;
    left:15%;
    border-radius:20px;
}
.section-title p{
    margin-top:25px;
    color:#ffffff;
    font-size:18px;
}

.about{
    padding:
    100px 10%;
}
.about-container{
    display:flex;
    align-items:center;
    justify-content:center;
    gap:80px;
}
.about-image{
    width: 436px;
    height: 520px;
    border-radius:30px;
    padding:20px;
    background:
    rgba(255,255,255,.08);
    backdrop-filter:
    blur(20px);
    border:
    1px solid var(--border);
    box-shadow:
    var(--shadow);
}
.about-image img{
    width:100%;
    height:100%;
    object-fit:cover;
    border-radius:20px;
}
.about-text{
   max-width:600px;
}
.about-text h3{
    font-size:35px;
    margin-bottom:20px;
    color:#ffffff;
}
.about-text p{
    color:#ffffff;
    line-height:1.9;
    font-size:17px;
text-align: justify;
}
.info{
    margin-top:35px;
    display:grid;
    grid-template-columns:
    repeat(3,1fr);
    gap:20px;
}
.info div{
    background:
    var(--glass);
    padding:20px;
    border-radius:15px;
    border:
    1px solid var(--border);
    transition:.4s;
}
.info div:hover{
    transform:
    translateY(-10px);
    box-shadow:
    var(--shadow);
}
.info h4{
    color:
    var(--primary);

}
.info span{
    color:#ddd;
    font-size:14px;
}

.skills{
    padding:
    100px 10%;
}
.skills-container{
    display:grid;
    grid-template-columns:
    repeat(3,1fr);
    gap:30px;
}
.skill-card{
    background:
    var(--glass);
    border:
    1px solid var(--border);
    padding:35px;
    border-radius:25px;
    text-align:center;
    backdrop-filter:
    blur(20px);
    transition:.4s;
}
.skill-card:hover{
    transform:
    translateY(-15px);
    box-shadow:
    var(--shadow);
}
.skill-card i{
    font-size:55px;
    color:
    var(--primary);
    margin-bottom:20px;
}
.skill-card h3{
    margin-bottom:20px;
    font-size:22px;
}
.skill-bar{
    width:100%;
    height:10px;
    background:
    rgba(255,255,255,.1);
    border-radius:20px;
    overflow:hidden;
}
.skill-bar span{
    display:block;
    height:100%;
    background:
    linear-gradient(
    90deg,
    var(--primary),
    var(--secondary)
    );
    border-radius:20px;
}
.skill-card p{
    margin-top:15px;
    color:#94a3b8;
}

.achievement{
    padding:
    100px 10%;
}
.achievement-container{
    display:grid;
    grid-template-columns:
    repeat(4,1fr);
    gap:25px;
}
.achievement-card{
    padding:35px 25px;
    text-align:center;
    background:
    var(--glass);
    border:
    1px solid var(--border);
    border-radius:25px;
    backdrop-filter:
    blur(20px);
    transition:.5s;
}
.achievement-card:hover{
    transform:
    translateY(-15px)
    rotateX(8deg);
    box-shadow:
    0 0 40px
    rgba(139,92,246,.5);
}
.achievement-card .icon{
    width:80px;
    height:80px;
    margin:auto;
    display:flex;
    justify-content:center;
    align-items:center;
    border-radius:50%;
    background:
    linear-gradient(
    45deg,
    var(--primary),
    var(--secondary)
    );
    font-size:35px;
    margin-bottom:25px;
}
.achievement-card h3{
    font-size:22px;
    margin-bottom:15px;
}
.achievement-card p{
    color:#b8c4dd;
    line-height:1.7;
}
.projects{
    padding:
    100px 10%;
}
.project-container{
    display:grid;
    grid-template-columns:
    repeat(3,1fr);
    gap:35px;
}
.project-card{
    background:
    var(--glass);
    border:
    1px solid var(--border);
    border-radius:25px;
    overflow:hidden;
    backdrop-filter:
    blur(20px);
    transition:.5s;
}
.project-card:hover{
    transform:
    translateY(-15px);
    box-shadow:
    var(--shadow);
}
.project-card img{
    width:100%;
    height:230px;
    object-fit:cover;
}
.project-content{
    padding:30px;
}
.project-content h3{
    font-size:25px;
    margin-bottom:15px;
}
.project-content p{
    color:#b8c4dd;
    line-height:1.7;
}
.tech{
    display:flex;
    flex-wrap:wrap;
    gap:10px;
    margin:20px 0;
}
.tech span{
    padding:
    7px 15px;
    background:
    rgba(59,130,246,.15);
    border-radius:30px;
    color:
    var(--cyan);
    font-size:13px;
}
.project-content a{
    display:inline-block;
    margin-top:10px;
    color:
    var(--primary);
    font-weight:600;
}
.services{
    padding:
    100px 10%;
}
.service-container{
    display:grid;
    grid-template-columns:
    repeat(3,1fr);
    gap:30px;
}
.service-card{
    padding:40px;
    background:
    var(--glass);
    border:
    1px solid var(--border);
    border-radius:25px;
    transition:.4s;
}
.service-card:hover{
    transform:
    translateY(-15px);
    box-shadow:
    var(--shadow);
}
.service-card i{
    font-size:50px;
    color:
    var(--primary);
    margin-bottom:25px;
}
.service-card p{
    margin-top:15px;
    color:#b8c4dd;
    line-height:1.7;
text-align: justify;
}

.contact{
    padding:
    100px 10%;
}
.contact-container{
    display:grid;
    grid-template-columns:
    1fr 1fr;
    gap:50px;
}
.contact-info{
    padding:40px;
    background:
    var(--glass);
    border:
    1px solid var(--border);
    border-radius:25px;
    backdrop-filter:
    blur(20px);
}
.contact-info h3{
    font-size:35px;
}
.contact-info p{
    margin:20px 0;
    color:#b8c4dd;
}
.contact-box{
    display:flex;
    align-items:center;
    gap:20px;
    margin:25px 0;
}
.contact-box i{
    width:50px;
    height:50px;
    display:flex;
    justify-content:center;
    align-items:center;
    border-radius:50%;
    background:
    linear-gradient(
    45deg,
    var(--primary),
    var(--secondary)
    );
}
.contact-form{
    display:flex;
    flex-direction:column;
    gap:20px;
}
.contact-form input,
.contact-form textarea{
    width:100%;
    padding:18px;
    border:none;
    outline:none;
    border-radius:15px;
    background:
    rgba(255,255,255,.08);
    color:white;
    border:
    1px solid var(--border);
}
.contact-form textarea{
    resize:none;
}

footer{
    padding:
    60px 10%;
    background:
    rgba(0,0,0,.3);
    text-align:center;
}
.footer-content h2{
    font-size:35px;
}
.footer-content span{
    color:
    var(--primary)
}
.footer-content p{
    color:#94a3b8;
    margin:20px 0;
}
.footer-social{
    display:flex;
    justify-content:center;
    gap:20px;
}
.footer-social a{
    width:45px;
    height:45px;
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    background:
    var(--glass);
    transition:.3s;
}
.footer-social a:hover{
    background:
    var(--primary);
    transform:
    translateY(-5px);
}

.top-btn{
    position:fixed;
    right:30px;
    bottom:30px;
    width:50px;
    height:50px;
    display:flex;
    justify-content:center;
    align-items:center;
    border-radius:50%;
    background:
    linear-gradient(
    45deg,
    var(--primary),
    var(--secondary)
    );
    box-shadow:
    var(--shadow);
}

@media(max-width:1100px){
.hero{
    flex-direction:column;
    text-align:center;
    gap:60px;
}
.skills-container,
.achievement-container,
.stats-container,
.project-container,
.service-container{
    grid-template-columns:
    repeat(2,1fr);
}
.about-container{
    flex-direction:column;
}
}
@media(max-width:768px){
header{
    padding:20px 5%;
}
nav{
    display:none;
}
.menu-btn{
    display:block;
}
.hero-text h1{
    font-size:45px;
}
.hero-text h2{
    font-size:25px;
}
.hero-image{
    width:300px;
    height:300px;
}
.skills-container,
.achievement-container,
.stats-container,
.project-container,
.service-container,
.contact-container{
    grid-template-columns:1fr;
}
.info{
    grid-template-columns:1fr;
}
.timeline-container::before{
    left:10px;
}
.timeline-item,
.timeline-item:nth-child(even){
    width:100%;
    left:0;
    padding-left:50px;
}
.timeline-item .timeline-dot,
.timeline-item:nth-child(even)
.timeline-dot{
    left:0;
}
.section-title h2{
    font-size:35px;
}
}